portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ozgur Balsoy <bal...@grids.ucs.indiana.edu>
Subject Re: psml.xsd is not valid
Date Tue, 16 Jul 2002 18:09:20 GMT
In the most recent XML Schema recommendation, 
http://www.w3.org/2001/XMLSchema, attributes do not have min/maxOccurs 
attributes. Instead, use="optional/required" must be used.

Also, in the 'all' content model, elements cannot repeat more than once 
but they can be omitted. This is from the specs:  "There exists a third 
option for constraining elements in a group: All the elements in the 
group may appear once or not at all, and they may appear in any order."

In psml.xsd, both of these constraints fail to validate.

Ozgur Balsoy

Paul Spencer wrote:

> Ozgur,
> 
> Ozgur Balsoy wrote:
> 
>> I cannot validate the PSML schema at 
>> http://cvs.apache.org/viewcvs/jakarta-jetspeed/src/xml/psml.xsd using 
>> XML Spy 4.4.
>>
>> Which one has a problem, XML Spy or PSML schema?
> 
> 
> 
> What are the error messages?
> 
> The XML Schema is well defined by the W3C, http://www.w3c.org.  The 
> psml.xsd should be valid.
> 
> 
>>
>> ozgur
>>
> 
> 
> Paul Spencer
> 
> 
> 
> -- 
> To unsubscribe, e-mail:   
> <mailto:jetspeed-dev-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail: 
> <mailto:jetspeed-dev-help@jakarta.apache.org>
> 
> 
> 



--
To unsubscribe, e-mail:   <mailto:jetspeed-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:jetspeed-dev-help@jakarta.apache.org>


Mime
View raw message